﻿/*
    CONTENTS:               /////////////////////////////////////////////////////////
    ---------------------
    login box
        centering divs      - used for USER ROLES buttons
        button styling      - div inside div for transparency
        styling box
    buttons
        loginButton
*/






/* ///////////////////////// login box */
/* grey box*/
/*div#greyBox {
    background: rgba(0, 0, 0, 0.2);*/ /* 0.2 is the transparency 
                                            0 = fully transparent > 1 = fully opaque*/
    /*background: rgb(200, 54, 54);*/ /* fallback solid fully opaque color for browser who do not support RGBA */
    /*padding-left: 30px;
    padding-top: 50px;
    padding-bottom: 80px;
    padding-right: 30px;
    position: relative;
}*/

/* labels: USER NAME & PASSWORD */
/*span.loginLabel {
    color: #D3D3D3;*/ /* light grey */
    /*font-size: 10px;
    text-transform: uppercase;
    padding-left: 40px;
}*/

/* icons */
/*div.loginIcon {
    position: absolute;
    margin-left: 2px;
    padding-left: 5px;*/
    /*padding-top: 1px;*/
    /*width: 30px;
}*/

/* input boxes: USER NAME & PASSWORD */
/*div.inputBox {*/
    /*border: 1px solid white;*/
    /*margin-left: 40px;
    margin-right: 10px;
}*/

/*div.inputBox input {
    height: 25px;
    border: 1px solid #BDBDBD;
    border-top-color: transparent;
    border-left-color: transparent;
    border-right-color: transparent;
    background-color: transparent;
    color: white;
    font-size: 21px;
    font-family: 'Lato', sans-serif; /* Google API font */
/*}*/
/*div.inputBox input:focus {
    border-bottom: solid 1px #ffffff;
    transition: border 0.3s;
}*/

#InputBoxUserName {
    padding-bottom: 3px; /* was: padding-bottom: 3px; */
    padding-left: 10px;
    height: 30px;
}

#InputBoxPassword {
    padding-bottom: 3px;
    padding-left: 10px;
    height: 30px;
}

/*div#forgotPasswordBox { 
        float: right;
        padding-top: 7px;
        padding-right: 11px;
    }*/
/*a#forgotPasswordLink {
        color: #D3D3D3;        
        font-size: 10px;
        text-transform: uppercase;
    }*/

/* VALIDATION */
#bootstrapOverrides .loginValidation {
    margin-left: 40px;
    margin-right: 10px;
    border-radius: 0px;
}




/* ///////////////////////// buttons */
/* login button */
/*.loginButton {
    padding: 3px 8px 3px 8px;*/ /* top + right + bottom + left */
/*font-family: 'Lato', sans-serif;*/ /* Google API font */
/*font-size: 17px;
    font-weight: normal;
    background-color: transparent;
    color: #ECECEC;*/ /* light grey: #7e7e7e */
/*border: 1px solid;
    border-radius: 0px;
    margin-left: 40px;
    position: absolute;
}*/
/*.loginButton:hover {
        color: #fff;
    }*/

/*div.outerMenuDivDark {
    border: 2px solid #162B43;
    height: 50px;
    margin-left: 8px;
    margin-right: 8px;
    margin-top: 2px;
    margin-bottom: 2px;
}*/

/*.menuDark {
    height: 40px;
    border: 4px solid transparent;
    margin-top: 4px;
    margin-bottom: 2px;
    margin-left: 4px;
    margin-right: 4px;
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 4px;  this moves text inside the div up and down 
    padding-bottom: 10px;
    font-size: 17px;
    background-color: transparent;
    color: #162B43;
}*/

span.userRolesHeadlineTextDark {
    /*margin-left: 20px;*/
    font-family: 'Nunito Sans', sans-serif; /* Google API font */
    font-size: 21px;
    color: #162B43;
    text-align: left;
    display: block;
    margin: auto;
   padding:10px 0px 10px 0px;
}

p.userRolesParagraphTextDark {
    margin-top: 10px;
    font-family: 'Roboto', sans-serif; /* Google API font */
    font-size: 16px;
    color: #162B43;
    text-align: left;
}


/*#divLoginParent {
    position: absolute;
}*/

/*#divLeftOne {
    position: relative;
    margin-left: 0px;
}*/

/*#divLeftTwo {
    position: relative;
    margin-left: 88px;
}*/

/* Added so login and forgot password buttons shift positions responsively when screen is resized*/
@media screen and (max-width: 500px) {
    #divLoginParent {
        position: unset;
        overflow: hidden;
    }

    #divLeftOne {
        float: left;
        margin-bottom: 20px;
    }

    #divLeftTwo {
        float: left;
        margin-left: 0px;
    }
    /*div#forgotPasswordBox { 
        float: left;
        padding-top: 0px;
        padding-right: 0px;
        margin-top: 15px;
        margin-left: 40px;
        }*/
    /*.loginButton {
            position: unset;
        }*/
    /*div#greyBox {
        overflow: hidden;
        padding-top: 20px;
        padding-bottom: 20px;
    }*/

    /*#login .spacer-30px {
        padding-top: 20px;
    }

    #login .spacer-40px {
        padding-top: 20px;
    }*/

    /*.headlineTwoMaster .spacer-20px {
        padding-top: 10px;
    }*/
    /* pushes 'user name' text 'up' in login box */
    /*#InputBoxUserName { 
            padding-bottom: 0px;  
            margin-bottom: 0px;    
        }*/
    /*div.inputBox input {
        font-size: 17px;
    }*/
}

.whiteBox {
    background: rgba(255, 255, 255, 0.8);
    padding-left: 50px;
    padding-top: 50px;
    padding-bottom: 80px;
    padding-right: 30px;
    position: relative;
    /*border-radius: 4px;*/
}
.whiteBoxEnvWarning {
    background: rgba(255, 255, 255, 0.8);
    padding-left: 50px;
    padding-top: 50px;
    padding-bottom: 30px;
    padding-right: 30px;
    position: relative;
    /*border-radius: 4px;*/
}

.innerWhiteBox {
    padding-left: 50px;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-right: 30px;
    position: relative;
}

.btn-blue2C7 {
    border-radius: 4px !important;
}

.loginBoxBlack {
    border-top-style: hidden;
    border-radius: 0px !important;
    background-image: none;
    border-top: 0px hidden transparent;
    border-left: 0px hidden transparent;
    border-right: 0px hidden transparent;
    border-bottom: 1px solid #666666;
    background-color: transparent !important;
    color: black;
    font-size: 21px;
    font-family: 'Roboto', sans-serif;
    box-shadow: none;
    width: 100%;
    height: 34px;
}

.loginLabelBlack {
    color: black;
    font-family: 'Roboto', sans-serif;
    font-size: 12px;
    text-transform: uppercase;
}

.loginButtonBlack {
    padding: 3px 8px 3px 8px;
    /* font-family: 'Lato', sans-serif; */
    font-size: 17px;
    font-weight: normal;
    background-color: transparent;
    color: black;
    border: 1px solid black;
    border-radius: 0px;
}

.loginLinkBlack {
    color: #666666 !important;
    font-family: 'Nunito Sans', sans-serif;
    font-size: 11px;
    font-weight: bold;
    text-transform: uppercase;
    padding-left: 0px;
    margin-top: 5px;
}

.loginIcon2 {
    position: absolute;
    margin-left: -25px;
    padding-top: 1px;
    width: 30px;
}
